Bug 240790 - devel/skalibs: Update to 2.9.0.0
Summary: devel/skalibs: Update to 2.9.0.0
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-24 12:17 UTC by crest
Modified: 2020-04-17 09:51 UTC (History)
3 users (show)

See Also:


Attachments
patch (1.68 KB, patch)
2019-09-29 09:27 UTC, Kurt Jaeger
pi: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description crest 2019-09-24 12:17:23 UTC
The skarnet.org September 2019 release affects all skaware ports. The skalibs library has to be updated first followed by all the other ports.

Quote from the mailing list:

Hello,

New versions of all the skarnet.org packages are available.
(This only concerns software that already has a numbered release.
Packages that are git-only because they are not complete enough
to warrant an initial release yet, such as bcnm, have been updated
in git, but are not mentioned here.)

  This is mostly a skalibs release with two nice features; and updates
to other packages are small tweaks to accommodate the new skalibs APIs
or use the new features.


* skalibs-2.9.0.0
   ---------------

  This is a major version release, so compatibility with previous version
is not guaranteed. Make sure to upgrade the rest of the skarnet.org 
stack
at the same time to avoid build failures.

  - Bugfixes.

  - Some low-level functions have been rewritten and/or simplified
and/or made more efficient, notably the formatting/scanning routines
and the basic malloc wrapper.

  And at last, two features that have been asked for a long time:

  - The time reading functions have been refactored; the --enable-clock
and --enable-monotonic build-time switches have been removed. Instead,
it is now possible to plug the skalibs time source (tain now())
*at run time* onto a stopwatch or a wall clock. It is also possible
to read from the system clock (wall clock) while the time source is
plugged onto the monotonic clock (stopwatch). This makes it easier to
write programs that are resilient to backwards clock jumps.

  - Cross-compilation has been made easier. There is no need to collect
the whole set of sysdeps anymore in order to cross-compile. Instead,
most sysdeps are autodetected even in the case of cross-compilation,
and a mechanism has been added to bypass autodetection with a
user-provided value via a configure switch. This mechanism must be
used when cross-compiling, to provide values for sysdeps that cannot
be autodetected, but for now there's only *one* of those.
When cross-compiling, add "--with-sysdep-devurandom=yes" to the
configure command line (assuming the target has a working PRNG on
/dev/urandom) and everything should work seamlessly.

  https://skarnet.org/software/skalibs/
  git://git.skarnet.org/skalibs


  * nsss-0.0.2.0
    ------------

  - Ported to skalibs-2.9.0.0.

  - getgrouplist() support.

  https://skarnet.org/software/nsss/
  git://git.skarnet.org/nsss


  * utmps-0.0.3.0
    -------------

  - Ported to skalibs-2.9.0.0.

  https://skarnet.org/software/utmps/
  git://git.skarnet.org/utmps


  * execline-2.5.2.0
    ----------------

  - Ported to skalibs-2.9.0.0.

  - Documentation fixes.

  https://skarnet.org/software/execline/
  git://git.skarnet.org/execline


  * s6-2.9.0.0
    ----------

  - Ported to skalibs-2.9.0.0. This is more important than it sounds:
it means that s6-svscan and s6-supervise are now impervious to sudden
clock changes that can happen at boot time - typically in embedded
systems that do not have a persistent hardware clock.

  - Bugfixes.

  - The s6-fdholder-*c programs (i.e. the UCSPI clients assuming they're
talking to the server via fds 6 and 7) have been removed: they were
barely used and did not justify the space they were taking. The regular
fd-holding clients remain, of course (i.e. the ones that connect to a
socket).

  - The systemd.html page has been moved out of the s6 package (and is
now hosted on skarnet.org but outside of any software package).

  https://skarnet.org/software/s6/
  git://git.skarnet.org/s6


  * s6-rc-0.5.1.0
    -------------

  - Ported to skalibs-2.9.0.0.

  - s6-rc now correctly lameducks when it receives a signal that
interrupts it. It will not start new transitions and will exit as
soon as pending transitions are completed (successfully or not).

  https://skarnet.org/software/s6-rc/
  git://git.skarnet.org/s6-rc


  * s6-linux-init-1.0.3.0
    ---------------------

  - Ported to skalibs-2.9.0.0.

  - Soft ctrl-alt-del is now activated by default.

  https://skarnet.org/software/s6-linux-init/
  git://git.skarnet.org/s6-linux-init


  * s6-portable-utils-2.2.2.0
    -------------------------

  - Ported to skalibs-2.9.0.0.

  https://skarnet.org/software/s6-portable-utils/
  git://git.skarnet.org/s6-portable-utils


  * s6-linux-utils-2.5.1.0
    ----------------------

  - Ported to skalibs-2.9.0.0.

  https://skarnet.org/software/s6-linux-utils/
  git://git.skarnet.org/s6-linux-utils


  * mdevd-0.1.1.0
    -------------

  - Ported to skalibs-2.9.0.0.

  https://skarnet.org/software/mdevd/
  git://git.skarnet.org/mdevd


  * s6-dns-2.3.1.0
    --------------

  - Ported to skalibs-2.9.0.0.

  https://skarnet.org/software/s6-dns/
  git://git.skarnet.org/s6-dns


  * s6-networking-2.3.1.0
    ---------------------

  - Ported to skalibs-2.9.0.0.

  https://skarnet.org/software/s6-networking/
  git://git.skarnet.org/s6-networking
Comment 1 Kurt Jaeger freebsd_committer 2019-09-29 09:27:59 UTC
Created attachment 207930 [details]
patch

This builds -- did you miss that your PR has no patch or did you think it would be trivial ? Please approve that patch, if it's ok with you.
Comment 2 dewayne 2019-11-25 00:42:51 UTC
skalibs 2.9.1.0 is available.  Trivially I modified the Makefile (for 2.9.1.0), but pkg-plist also needs some adjustment.  I'd suggest that this PR be Closed-Invalid (as it was unconfirmed, and unanswered)?
Comment 3 dewayne 2019-11-25 00:48:18 UTC
(In reply to dewayne from comment #2)
Apologies I should've checked something before suggesting it be closed.  Kurt's patch fixes the request for update.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-17 09:50:47 UTC
Superseded by bug 245686